Subject: [PATCH 05/16] ARM: omap: fix vc.c PMIC error message

From: [email-masked] (Tony Lindgren)
Date: Wed, 8 Feb 2012 16:40:27 -0800

* Kevin Hilman <[email-masked]> [120208 15:49]:
> Russell King - ARM Linux <[email-masked]> writes:
> 
> > On Wed, Feb 08, 2012 at 04:09:48PM -0800, Kevin Hilman wrote:
> >> Russell King - ARM Linux <[email-masked]> writes:
> >> > Does it fix the other issues I mention in the commit log as well?
> >> 
> >> Like your patches 1 & 5, my series fixes the oops and also makes the
> >> error strings simple, non-wrapping ones.
> >> 
> >> The one thing it doesn't fix is the spelling typo you fixed in the
> >> comment, but IMO we can leave that out for -rc.
> >
> > OK, but it would be much better for that simple fix to go with another
> > simple patch.  On its own it doesn't make sense as a commit.
> 
> Agreed.  We'll have some other VC/VP cleanup for v3.4, and I'll add this
> into that cleanup.

Eek, looking at it, I'd rather stay away from this formatting patch
for -rc series because the flaming potential causes me rash!

Russell's patch 5 has way better description for the -rc series.

So I now suggest that Russell drops patch 1 and updates patch 5 to
cover both vp.c and vc.c.

Then I'll move the following patches queued by Kevin from cleanup
into fixes:

d269914ece0498f31603ecd85ed3d7a586b3cbcd ARM: OMAP2+: PM: only register TWL with voltage layer when device is present
af9a2ed9667b49e7e125eac526d8f655183ce53e ARM: OMAP2+: voltage: add check for missing PMIC info in VP init

Everybody OK with that?

Tony